using System;
using System.Windows.Forms;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace drawpolytest
{
	class MainClass:Form
	{
		Timer timer= new Timer();
		int Y=0;
		
		public static void Main (string[] args)
		{
			Application.Run(new MainClass());
		}
		
		
		internal MainClass()
		{
			Paint+=new PaintEventHandler(onPaint);
				
			DoubleBuffered=true;
	
			timer.Tick+= new EventHandler(onTick);
			timer.Enabled=true;
		}
		
		void onTick(object sender, EventArgs e)
		{
			Y++;
			Invalidate();
		}
		
		void onPaint(object sender, PaintEventArgs e)
		{
			DrawObjects.DrawPolygon po= new DrawObjects.DrawPolygon();
				
			po.Draw(e.Graphics);
			/*
			Pen p= new Pen(Color.Black);
			e.Graphics.DrawLine(p,0,0,e.ClipRectangle.Width,e.ClipRectangle.Height);
			
			Point[] poly= new Point[4];
			
			
			poly[0].X=14;
			poly[0].Y=12;
			
			poly[1].X=34;
			poly[1].Y=-8;

			poly[2].X=54;
			poly[2].Y=12;
			
			poly[3].X=34;
			poly[3].Y=12+Y;
			
			
			
			e.Graphics.DrawPolygon(p,poly);
			
			
			using(PathGradientBrush b= new PathGradientBrush(poly))
			{
			b.CenterColor=Color.BlueViolet;
			e.Graphics.FillPolygon(b,poly);
			}
			*/
		}
	}
}

